Show featured snaps

Bug #1663097 reported by Robert Ancell on 2017-02-09
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
gnome-software (Ubuntu)
Medium
Unassigned
Xenial
Medium
Unassigned
Zesty
Medium
Unassigned
Artful
Medium
Unassigned

Bug Description

[Impact]
GNOME Software doesn't show any snaps in the "Editor's Picks" section. snapd added a new feature to return snaps in the "featured" section and should be shown in GNOME Software.

[Test Case]
1. Open GNOME Software

Expected result:
Some of the "Editor's Picks" apps should be snaps.

Observed result:
There are no snaps shown.

[Regression Potential]
Some risk of new behaviour adversely affecting GNOME Software startup.

Will Cooke (willcooke) on 2017-05-29
tags: added: desktop-trello-import
Robert Ancell (robert-ancell) wrote :

I added basic support for this into gnome-software but it makes the startup slow. This is because it downloads all the icons for each popular app before showing them. In the other plugins the icons are always local (downloaded with AppStream data). So I think this needs either an icon cache (only have the delay on first run) or gnome-software modified to load the icons in the background (my preferred option).

Changed in gnome-software (Ubuntu Artful):
status: Triaged → Fix Committed
Changed in gnome-software (Ubuntu Zesty):
status: New → Triaged
Changed in gnome-software (Ubuntu Yakkety):
status: New → Triaged
Changed in gnome-software (Ubuntu Xenial):
status: New → Triaged
Changed in gnome-software (Ubuntu Zesty):
importance: Undecided → Medium
Changed in gnome-software (Ubuntu Yakkety):
importance: Undecided → Medium
Changed in gnome-software (Ubuntu Xenial):
importance: Undecided → Medium
Will Cooke (willcooke) wrote :

How did the slow start-up get resolved? Also, yay! Thanks for fixing this.

Robert Ancell (robert-ancell) wrote :

I made a general cache for the icons we download, so you only get the hit once (and since it loads in the background you probably wont notice). Now to attempt to backport all the fixes...

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.24.3-0ubuntu4

---------------
gnome-software (3.24.3-0ubuntu4) artful; urgency=medium

  * debian/patches/0001-snap-Fix-icons-not-being-converted-to-pixbufs.patch:
    - Fix snaps without icons not showing reliably (LP: #1697565)
  * debian/patches/0001-snap-Mark-snaps-as-sandboxed.patch:
  * debian/patches/0001-snap-Backport-fixes-from-master.patch:
    - Show featured snaps (LP: #1663097)

 -- Robert Ancell <email address hidden> Thu, 15 Jun 2017 16:55:26 +1200

Changed in gnome-software (Ubuntu Artful):
status: Fix Committed → Fix Released
description: updated
Changed in gnome-software (Ubuntu Zesty):
status: Triaged → Fix Committed
Robert Ancell (robert-ancell) wrote :

Marking Wont Fix in Yakkety since that's about to go end of life.

Changed in gnome-software (Ubuntu Yakkety):
status: Triaged → Won't Fix

Hello Robert, or anyone else affected,

Accepted gnome-software into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-software/3.22.7-0ubuntu3.17.04.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed

As part of a recent change in the Stable Release Update verification policy we would like to inform that for a bug to be considered verified for a given release a verification-done-$RELEASE tag needs to be added to the bug where $RELEASE is the name of the series the package that was tested (e.g. verification-done-xenial). Please note that the global 'verification-done' tag can no longer be used for this purpose.

Thank you!

Jeremy Bicha (jbicha) wrote :

I installed gnome-software 3.22.7-0ubuntu3.17.04.5 on Ubuntu GNOME 17.04 and verified that the home page now shows docker, hugo, rocketchat-server and conjure-up in the Editor's Pick section.

tags: added: verification-done-zesty xenial zesty
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.22.7-0ubuntu3.17.04.5

---------------
gnome-software (3.22.7-0ubuntu3.17.04.5) zesty; urgency=medium

  * debian/patches/0001-snap-Fix-icons-not-being-converted-to-pixbufs.patch:
    - Fix snaps without icons not showing reliably (LP: #1697565)
  * debian/patches/0001-snap-Backport-fixes-from-master.patch:
    - Show featured snaps (LP: #1663097)
  * debian/patches/0017-Use-snap-name-field-for-app-name.patch:
    - Dropped, merged into above patch

gnome-software (3.22.7-0ubuntu3.17.04.4) zesty; urgency=medium

  * debian/patches/0006-Add-an-APT-plugin.patch:
    - Handle multiple debconf connections (LP: #1688721)
  * debian/patches/0018-Limit-search-entry-to-100-characters.patch:
    - Limit search entry in case of accidental input (LP: #1692398)

gnome-software (3.22.7-0ubuntu3.17.04.3) zesty; urgency=medium

  * debian/patches/0002-Add-an-APT-plugin.patch:
    - Fix crash when debconf socket fails (LP: #1689425)

 -- Robert Ancell <email address hidden> Fri, 16 Jun 2017 13:42:12 +1200

Changed in gnome-software (Ubuntu Zesty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gnome-software has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Hello Robert, or anyone else affected,

Accepted gnome-software into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-software/3.20.5-0ubuntu0.16.04.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnome-software (Ubuntu Xenial):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-xenial

SRU verification for Xenial:
I have reproduced the problem with gnome-software 3.20.1+git20170524.0.ea2fe2b0-0ubuntu0.16.04.1 in xenial-updates and have verified that the version of gnome-software 3.20.5-0ubuntu0.16.04.5 in -proposed fixes the issue (there are snaps in the editor's pick section - atom, corebird)

Marking as verification-done

tags: added: verification-done-xenial
removed: verification-needed verification-needed-xenial
no longer affects: gnome-software (Ubuntu Yakkety)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.20.5-0ubuntu0.16.04.5

---------------
gnome-software (3.20.5-0ubuntu0.16.04.5) xenial; urgency=medium

  * debian/patches/0018-Add-a-Snap-plugin.patch:
    - Fix crash when failing to load icons from cache (LP: #1702122)

gnome-software (3.20.5-0ubuntu0.16.04.4) xenial; urgency=medium

  * Rebase on stable 3.20.5 release (LP: #1703461).
  * debian/patches/*.patch:
    - Convert Ubuntu changes into patches
  * debian/patches/0018-Add-a-Snap-plugin.patch:
    - Fix snaps without icons not showing reliably (LP: #1697565)
    - Show featured snaps (LP: #1663097)

 -- Robert Ancell <email address hidden> Wed, 12 Jul 2017 16:24:08 +1200

Changed in gnome-software (Ubuntu Xenial):
status: Fix Committed → Fix Released
Robert Ancell (robert-ancell) wrote :

This change seems to have caused a threading crash (bug 1716633).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers